Preview
curl --request GET \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/collection-applications/preview \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/collection-applications/preview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/collection-applications/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"preview": {
"collection": {
"id": "<string>",
"name": "<string>",
"brand": "<string>",
"region": "<string>",
"areaTypeLabel": "<string>",
"description": "<string>",
"currencyCode": "<string>",
"generation": 123,
"version": 123,
"entriesCount": 123
},
"state": {
"status": "<string>"
},
"counts": {
"entries": 123,
"mandatoryEntries": 123,
"optionalEntries": 123,
"initiallySelectedEntries": 123,
"expandedNodes": 123
},
"groups": [
{
"lines": [
{
"referenceItems": [
{
"unavailableReason": "family_archived",
"sourceNavigation": null,
"id": "<string>",
"referenceCode": "<string>",
"kind": "catalog_item",
"name": "<string>",
"vendorName": "<string>",
"sourceLabel": "<string>",
"imageUrl": "<string>",
"selected": true,
"available": true
}
],
"entryId": "<string>",
"position": 123,
"productTypeId": "<string>",
"productTypeLabel": "<string>",
"quantity": "<string>",
"mandatoryItem": true,
"designReviewRequired": true,
"selectedReferenceItemId": "<string>"
}
],
"categoryId": "<string>",
"categoryLabel": "<string>"
}
]
}
}Collection Applications
Preview
GET
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
collection-applications
/
preview
Preview
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^[1-9]\d*$Pattern:
^[1-9]\d*$Query Parameters
Pattern:
^[1-9]\d*$Required range:
x <= 9007199254740991Required range:
x <= 9007199254740991Response
200 - application/json
Show child attributes
Show child attributes
⌘I